Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileType Class Reference
[Colorer interfaces]

Inheritance diagram for FileType:

## Detailed Description

HRC FileType (or prototype) instance.

## Public Methods
virtual const String * | getName ()=0
| Public name of file type (HRC 'name' attribute).
virtual const String * | getGroup ()=0
| Public group name of file type (HRC 'group' attribute).
virtual const String * | getDescription ()=0
| Public description of file type (HRC 'description' attribute).
virtual Scheme * | getBaseScheme ()=0
| Returns the base scheme of this file type.
virtual const String * | getParameter (const String &name)=0
| Returns parameter value of this file type.

## Member Function Documentation

virtual const String* FileType::getName | ( |  | ) | `[pure virtual]`

| Public name of file type (HRC 'name' attribute). Returns: File type Name

virtual const String* FileType::getGroup | ( |  | ) | `[pure virtual]`

| Public group name of file type (HRC 'group' attribute). Returns: File type Group

virtual const String* FileType::getDescription | ( |  | ) | `[pure virtual]`

| Public description of file type (HRC 'description' attribute). Returns: File type Description

virtual Scheme* FileType::getBaseScheme | ( |  | ) | `[pure virtual]`

| Returns the base scheme of this file type. Basically, this is the scheme with same public name, as it's type. If this FileType object is not yet loaded, it is loaded with this call. Returns: File type base scheme, to be used as root scheme of text parsing.

virtual const String* FileType::getParameter | ( | const String & | name | ) | `[pure virtual]`

| Returns parameter value of this file type. Parameters are stored in prototypes as
          <parameters>
            <param name="name" value="value"/>
          </parameter>
  Note: Parameters could be used to store client-application specific information about each type of file. Parameters:
  name | Parameter's name

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.